summaryrefslogtreecommitdiff
path: root/admin
diff options
context:
space:
mode:
authorRob Holland <tigger@gentoo.org>2004-01-20 22:38:58 +0000
committerRob Holland <tigger@gentoo.org>2004-01-20 22:38:58 +0000
commit82b21384be76878ebb430f33fbda1f21c400b0ec (patch)
treec3a5aa6d3b54ad0382baec5f9e8d2978455f8d64 /admin
parentsyntax fix (diff)
downloadgentoo-82b21384be76878ebb430f33fbda1f21c400b0ec.tar.gz
gentoo-82b21384be76878ebb430f33fbda1f21c400b0ec.tar.bz2
gentoo-82b21384be76878ebb430f33fbda1f21c400b0ec.zip
tidied a little and changed to take its settings from gweb's bashrc
Diffstat (limited to 'admin')
-rw-r--r--admin/www.gentoo.org/scripts/cvs-repo-update.sh34
1 files changed, 17 insertions, 17 deletions
diff --git a/admin/www.gentoo.org/scripts/cvs-repo-update.sh b/admin/www.gentoo.org/scripts/cvs-repo-update.sh
index cbd31efb20..416011023d 100644
--- a/admin/www.gentoo.org/scripts/cvs-repo-update.sh
+++ b/admin/www.gentoo.org/scripts/cvs-repo-update.sh
@@ -1,30 +1,30 @@
#!/bin/sh
#
-# This script grabs a recent copy of the cvs repository
+# This script grabs a recent copy of various cvs repositories
+# so that viewcvs can do web views of them
#
-# AUTHOR: Rob Holland <robh@gentoo.org>
-# VERSION: 0.1
-# DATE: July 7, 2003
+# AUTHOR: Rob Holland <tigger@gentoo.org>
+# VERSION: 1.0
+# DATE: 20th Janurary 2004
#
######################################################################
source ~/.bashrc
-WORKDIR=/home/httpd
RSYNC_ARGS="--rsh=ssh -a --delete --delete-excluded"
-# create the directory if this is the first time this has run
-mkdir -p ${WORKDIR}/cvsroot
+if [ -z "${WEBCVSROOT}" -a -d "${WEBCVSROOT}" ]; then
+ # grab a recent copy of the cvs modules for viewcvs
-# grab a recent copy of the cvs modules for viewcvs
+ rsync ${RSYNC_ARGS} cvs.gentoo.org:/home/cvsroot/gentoo/ \
+ --exclude /home/cvsroot/gentoo/admin/ ${WEBCVSROOT}/gentoo/
-rsync ${RSYNC_ARGS} cvs.gentoo.org:/home/cvsroot/gentoo/ \
---exclude /home/cvsroot/gentoo/admin/ ${WORKDIR}/cvsroot/gentoo/
+ rsync ${RSYNC_ARGS} cvs.gentoo.org:/home/cvsroot/gentoo-x86/ \
+ ${WEBCVSROOT}/gentoo-x86/
-rsync ${RSYNC_ARGS} cvs.gentoo.org:/home/cvsroot/gentoo-x86/ \
-${WORKDIR}/cvsroot/gentoo-x86/
-
-rsync ${RSYNC_ARGS} cvs.gentoo.org:/home/cvsroot/gentoo-src/ \
-${WORKDIR}/cvsroot/gentoo-src/
-
-#done
+ rsync ${RSYNC_ARGS} cvs.gentoo.org:/home/cvsroot/gentoo-src/ \
+ ${WEBCVSROOT}/gentoo-src/
+else
+ echo "Either WEBCVSROOT isn't set or it isn't a directory" >&2
+ exit 1
+fi